Package twisted :: Package web :: Module microdom

[show private | hide private]
[frames | no frames]

## Module twisted.web.microdom

Micro Document Object Model: a partial DOM implementation with SUX.

This is an implementation of what we consider to be the useful subset of the DOM. The chief advantage of this library is that, not being burdened with standards compliance, it can remain very stable between versions. We can also implement utility 'pythonic' ways to access and mutate the XML tree.

Since this has not subjected to a serious trial by fire, it is not recommended to use this outside of Twisted applications. However, it seems to work just fine for the documentation generator, which parses a fairly representative sample of XML.

Microdom mainly focuses on working with HTML and XHTML.

Classes
`CDATASection` |
`CharacterData` |
`Comment` | A comment node.
`Document` |
`Element` |
`EntityReference` |
`lmx` | Easy creation of XML.
`MicroDOMParser` |
`Node` |
`Text` |
`_Attr` | Support class for getAttributeNode.

Exceptions
`MismatchedTags` |

Function Summary
| `parse(readable, *args, **kwargs)`
| `parseString(st, *args, **kw)`
| `_unescapeDict(d)`

Variable Summary
`_Feature` | `nested_scopes`

Variable Details

### nested_scopes

  Type:
    `_Feature`
  Value:

        Feature((2, 1, 0, 'beta', 1), (2, 2, 0, 'final', 0))

Generated by Epydoc 1.1 on Sat Feb 15 21:19:28 2003 | http://epydoc.sf.net